@font-face {
    font-family: 'Jersey_15'; 
    src: url('../resources/Jersey_15/Jersey15-Regular.ttf');
}

@font-face {
    font-family: 'PixelifySans'; 
    src: url('../resources/Pixelify_Sans/PixelifySans-VariableFont_wght.ttf');
}

@font-face {
    font-family: 'VT323'; 
    src: url('../resources/VT323/VT323-Regular.ttf');
}

body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 100vh;
  color: #fff;
  background: linear-gradient(rgba(0,0,0,0.35), rgba(0,0,0,0.35)), url('../resources/bg.png');
  background-size: cover;
  background-position: center center;
  background-attachment: fixed;
  transform: scale(1);
}
p {
  color: #FAFAFA;
  font-family: "Jersey_15";
}
h2 {
  color: white;
  font-family: 'Courier New', Courier, monospace;
  align-self: center;
  font-size: 75px;
}
h1 {
  color: white;
  font-family: 'Jersey_15';
  align-self: center;
  margin: 0;
  font-size: 30px;
}
h3 { 
  color: #FAFAFA;
  font-family: "Jersey_15";
  align-self: center;
  margin: 0;
  font-size: 40px;
}
h4 { 
  color: #FAFAFA;
  font-family: "Jersey_15";
  align-self: center;
  margin: 0;
  font-size: 20px;
}
h5 {
  color: #FAFAFA;
  font-family: 'Courier New', Courier, monospace;
  font-size: 20px;
  margin: 0;
}
.logocard {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  text-align: center;
  gap: 5px;
}

.logocard img {
  width: 50px;
}
.logocard h1 { font-size: 45px; }
.logocard h2 {
  font-size: 20px;
  color: gray;
  text-shadow: black 1px 2px;
  margin: 0;
}
.logocard h1{
  text-shadow: black 2px 3px;
}
.text {
  display: flex;
  flex-direction: column;
}

.buttoncontainer {
  display: grid;
  grid-template-columns: repeat(2, 300px);
  gap: 20px;
  text-align: center;
  justify-content: center;
}
.gamescontainer {
  margin-top: 5.5rem;
  text-align: left;
  align-items: center;
  display: block;
  justify-content: center;
}

.gamecard {
  width: 80%;
  margin-left: auto;
  margin-right: auto;
  border-radius: 20px;
  border-color: #FAFAFA;
  height: auto;
  border-style: solid;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  transition: 0.3s;
  box-sizing: border-box;
  margin-bottom: 20px;
  overflow: hidden;
  flex-wrap: wrap;
}

.gamecard img {
  width: 300px;
  max-width: 100%;
  flex-shrink: 0;
  height: 300px;
  object-fit: cover;
  border-radius: 20px;
  border-color: #FAFAFA;
}

.aboutcard {
  width: 75%;
  margin-left: auto;
  margin-right: auto;
  border-radius: 20px;
  border-color: #FAFAFA;
  height: auto;
  border-style: solid;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  transition: 0.3s;
  box-sizing: border-box;
  margin-bottom: 20px;
  overflow: hidden;
  flex-wrap: wrap;
}

.aboutcard img {
  width: 300px;
  max-width: 100%;
  flex-shrink: 0;
  height: 300px;
  object-fit: cover;
  border-radius: 16px;
  border-color: #FAFAFA;
}
.game-info { 
  flex: 1;
  padding: 16px;
  min-width: 0;
}
.game-info h3 {
  color: #FAFAFA;
  font-family: "Jersey_15";
  align-self: center;
  margin: 0;
  font-size: 30px;
}
.game-info h1 { font-size: 45px; }
/* worst code EVER. */ 
.button {
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  transition: 0.3s;
}
.button:hover {
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2) 
}
.buttoncontainer h1 {   
  text-shadow: black 2px 3px;
  font-family: "PixelifySans";
}
.ourgamesbutton {
  width: 100%;
  border-radius: 40px;
  border-color: #FAFAFA;
  border-style: solid;
  height: 100%;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  aspect-ratio: 790 / 690;
  transition: 0.3s;
  background: url("../resources/img/home/controller.jpg") no-repeat center;
  background-size: cover;
}
.ourgamesbutton:hover {
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
  transform: scale(1.02)
}

.aboutusbutton {
  width: 100%;
  border-radius: 40px;
  height: 100%;
  border-color: #FAFAFA;
  border-style: solid;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  aspect-ratio: 790 / 690;
  transition: 0.3s;
  background: url("../resources/img/home/aboutus.jpg") no-repeat center;
  background-size: cover;
}
.aboutusbutton:hover {
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
  transform: scale(1.02)
}

.socialsbutton {
  width: 100%;
  height: 100%;
  border-color: #FAFAFA;
  border-style: solid;
  border-radius: 40px;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  aspect-ratio: 790 / 690;
  transition: 0.3s;
  background: url("../resources/img/home/social.jpg") no-repeat center;
  background-size: cover;
}
.socialsbutton:hover {
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
  transform: scale(1.02)
}

.privacypolicybutton {
  width: 100%;
  height: 100%;
  border-radius: 40px;
  border-color: #FAFAFA;
  border-style: solid;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
  aspect-ratio: 790 / 690;
  transition: 0.3s;
  background: url("../resources/img/home/privacypolicy.jpg") no-repeat center;
  background-size: cover;
}
.privacypolicybutton:hover {
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
  transform: scale(1.02)
}

